Bug 52737

Summary: bullets in text-shapes don't render at all
Product: POI Reporter: holgerbrandl <holgerbrandl>
Component: HSLFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 3.8-dev   
Target Milestone: ---   
Hardware: Macintosh   
OS: All   
Bug Depends on: 52297    
Bug Blocks:    
Attachments: a ppt with 2 lists created using powerpoint for macos
a ppt with 2 lists created using powerpoint for windows
bullets display ok on the first slide

Description holgerbrandl 2012-02-22 22:07:25 UTC
Bullets don't display at all when using org.apache.poi.hslf.model.Slide.draw(Graphics2D) to render a slide.

Example screenshot: http://dl.dropbox.com/u/422074/bullet_rendering_broken.png

This applies to bullets in the default text shape when using "Title and Content" as slide layouts. This also applies to any additional textshape that contains a bullet lists.

Neither symbol bullets in unordered lists nor numbers in ordered lists are displayed.
Comment 1 Yegor Kozlov 2012-02-23 12:02:34 UTC
bullets display OK when I render lists created in PowerPoint 2010 for Windows. Was the problematic file created in Office for Mac? Please attach the presentation, without a sample file we can't do much to help you.

Yegor
Comment 2 holgerbrandl 2012-02-23 20:59:01 UTC
Created attachment 28373 [details]
a ppt with 2 lists created using powerpoint for macos
Comment 3 holgerbrandl 2012-02-23 20:59:19 UTC
Created attachment 28374 [details]
a ppt with 2 lists created using powerpoint for windows
Comment 4 holgerbrandl 2012-02-23 21:00:17 UTC
Hello Yegor, you are right bullets are not shown when the ppt-file has been created with Powerpoint for Mac 2011 (v14.3.1).

Bullets of unordered lists show up correctly when the file has been created with Powerpoint 2010 for Windows. However even then numbers of numbered lists show up as bullets when rendering slides as described above (which should be probably a separate issue)

I've attached two ppt files: One created with Powerpoint2011 for Macos and the other created using Powerpoint 2010 for Windows. Both contain a numbered and a bullet list.
Comment 5 Yegor Kozlov 2012-02-27 07:35:17 UTC
Ordered lists are not supported, it is a known limitation. At the moment HSLF supports only simple "fixed" bullets.

I tried to render macos_bullets.ppt and the bullets display OK. See attached. Are you getting the same results?

Yegor

(In reply to comment #4)
> Hello Yegor, you are right bullets are not shown when the ppt-file has been
> created with Powerpoint for Mac 2011 (v14.3.1).
> 
> Bullets of unordered lists show up correctly when the file has been created
> with Powerpoint 2010 for Windows. However even then numbers of numbered lists
> show up as bullets when rendering slides as described above (which should be
> probably a separate issue)
> 
> I've attached two ppt files: One created with Powerpoint2011 for Macos and the
> other created using Powerpoint 2010 for Windows. Both contain a numbered and a
> bullet list.
Comment 6 Yegor Kozlov 2012-02-27 07:36:14 UTC
Created attachment 28388 [details]
bullets display ok on the first slide
Comment 7 holgerbrandl 2012-03-01 22:43:08 UTC
Yes, normal bullets  render correctly. As the numbered ones are a known problem, feel free to close the issue. 

Thank you for your assistance, 
best,
Holger
Comment 8 Andreas Beeker 2015-11-09 00:44:59 UTC
Fixed in work for #52297 and as part of r1713316
Wingdings chars needed to be mapped